import * as pulumi from "@pulumi/pulumi";
/**
 * The ``AWS::ApiGateway::BasePathMapping`` resource creates a base path that clients who call your API must use in the invocation URL.
 */
export declare function getBasePathMapping(args: GetBasePathMappingArgs, opts?: pulumi.InvokeOptions): Promise<GetBasePathMappingResult>;
export interface GetBasePathMappingArgs {
    /**
     * The base path name that callers of the API must provide as part of the URL after the domain name.
     */
    basePath: string;
    /**
     * The domain name of the BasePathMapping resource to be described.
     */
    domainName: string;
}
export interface GetBasePathMappingResult {
    /**
     * The string identifier of the associated RestApi.
     */
    readonly restApiId?: string;
    /**
     * The name of the associated stage.
     */
    readonly stage?: string;
}
/**
 * The ``AWS::ApiGateway::BasePathMapping`` resource creates a base path that clients who call your API must use in the invocation URL.
 */
export declare function getBasePathMappingOutput(args: GetBasePathMappingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBasePathMappingResult>;
export interface GetBasePathMappingOutputArgs {
    /**
     * The base path name that callers of the API must provide as part of the URL after the domain name.
     */
    basePath: pulumi.Input<string>;
    /**
     * The domain name of the BasePathMapping resource to be described.
     */
    domainName: pulumi.Input<string>;
}
