import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Schema for AWS::ApiGatewayV2::RoutingRule
 */
export declare function getRoutingRule(args: GetRoutingRuleArgs, opts?: pulumi.InvokeOptions): Promise<GetRoutingRuleResult>;
export interface GetRoutingRuleArgs {
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    routingRuleArn: string;
}
export interface GetRoutingRuleResult {
    readonly actions?: outputs.apigatewayv2.RoutingRuleAction[];
    readonly conditions?: outputs.apigatewayv2.RoutingRuleCondition[];
    readonly priority?: number;
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    readonly routingRuleArn?: string;
    /**
     * RoutingRule Id generated by service
     */
    readonly routingRuleId?: string;
}
/**
 * Schema for AWS::ApiGatewayV2::RoutingRule
 */
export declare function getRoutingRuleOutput(args: GetRoutingRuleOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRoutingRuleResult>;
export interface GetRoutingRuleOutputArgs {
    /**
     * Amazon Resource Name (ARN) of the resource.
     */
    routingRuleArn: pulumi.Input<string>;
}
