import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Bedrock::GuardrailVersion Resource Type
 */
export declare function getGuardrailVersion(args: GetGuardrailVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetGuardrailVersionResult>;
export interface GetGuardrailVersionArgs {
    /**
     * Unique id for the guardrail
     */
    guardrailId: string;
    /**
     * Guardrail version
     */
    version: string;
}
export interface GetGuardrailVersionResult {
    /**
     * Arn representation for the guardrail
     */
    readonly guardrailArn?: string;
    /**
     * Unique id for the guardrail
     */
    readonly guardrailId?: string;
    /**
     * Guardrail version
     */
    readonly version?: string;
}
/**
 * Definition of AWS::Bedrock::GuardrailVersion Resource Type
 */
export declare function getGuardrailVersionOutput(args: GetGuardrailVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGuardrailVersionResult>;
export interface GetGuardrailVersionOutputArgs {
    /**
     * Unique id for the guardrail
     */
    guardrailId: pulumi.Input<string>;
    /**
     * Guardrail version
     */
    version: pulumi.Input<string>;
}
