import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::CertificateManager::Account.
 */
export declare function getAccount(args: GetAccountArgs, opts?: pulumi.InvokeOptions): Promise<GetAccountResult>;
export interface GetAccountArgs {
    /**
     * ID of the AWS account that owns the certificate.
     */
    accountId: string;
}
export interface GetAccountResult {
    /**
     * ID of the AWS account that owns the certificate.
     */
    readonly accountId?: string;
    /**
     * Object containing expiration events options associated with an AWS account . For more information, see [ExpiryEventsConfiguration](https://docs.aws.amazon.com/acm/latest/APIReference/API_ExpiryEventsConfiguration.html) in the API reference.
     */
    readonly expiryEventsConfiguration?: outputs.certificatemanager.AccountExpiryEventsConfiguration;
}
/**
 * Resource schema for AWS::CertificateManager::Account.
 */
export declare function getAccountOutput(args: GetAccountOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccountResult>;
export interface GetAccountOutputArgs {
    /**
     * ID of the AWS account that owns the certificate.
     */
    accountId: pulumi.Input<string>;
}
