"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.HookTypeConfig = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Specifies the configuration data for a registered hook in CloudFormation Registry.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookTypeConfig = new aws_native.cloudformation.HookTypeConfig("hookTypeConfig", {
 *     typeName: "My::Sample::Hook",
 *     configuration: "{\"CloudFormationConfiguration\":{\"HookConfiguration\":{\"TargetStacks\":\"ALL\",\"FailureMode\":\"WARN\",\"Properties\":{\"limitSize\": \"1\",\"encryptionAlgorithm\": \"aws:kms\"}}}}",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookTypeConfig = new aws_native.cloudformation.HookTypeConfig("hookTypeConfig", {
 *     typeName: "My::Sample::Hook",
 *     configuration: "{\"CloudFormationConfiguration\":{\"HookConfiguration\":{\"TargetStacks\":\"ALL\",\"FailureMode\":\"WARN\",\"Properties\":{\"limitSize\": \"1\",\"encryptionAlgorithm\": \"aws:kms\"}}}}",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookTypeConfig = new aws_native.cloudformation.HookTypeConfig("hookTypeConfig", {
 *     typeArn: "arn:aws:cloudformation:us-west-2:123456789012:type/hook/My-Sample-Hook",
 *     configuration: "{\"CloudFormationConfiguration\":{\"HookConfiguration\":{\"TargetStacks\":\"ALL\",\"FailureMode\":\"WARN\",\"Properties\":{\"limitSize\": \"1\",\"encryptionAlgorithm\": \"aws:kms\"}}}}",
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const hookTypeConfig = new aws_native.cloudformation.HookTypeConfig("hookTypeConfig", {
 *     typeArn: "arn:aws:cloudformation:us-west-2:123456789012:type/hook/My-Sample-Hook",
 *     configuration: "{\"CloudFormationConfiguration\":{\"HookConfiguration\":{\"TargetStacks\":\"ALL\",\"FailureMode\":\"WARN\",\"Properties\":{\"limitSize\": \"1\",\"encryptionAlgorithm\": \"aws:kms\"}}}}",
 * });
 *
 * ```
 */
class HookTypeConfig extends pulumi.CustomResource {
    /**
     * Get an existing HookTypeConfig resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new HookTypeConfig(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of HookTypeConfig.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === HookTypeConfig.__pulumiType;
    }
    /**
     * Create a HookTypeConfig resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["configuration"] = args ? args.configuration : undefined;
            resourceInputs["configurationAlias"] = args ? args.configurationAlias : undefined;
            resourceInputs["typeArn"] = args ? args.typeArn : undefined;
            resourceInputs["typeName"] = args ? args.typeName : undefined;
            resourceInputs["configurationArn"] = undefined /*out*/;
        }
        else {
            resourceInputs["configuration"] = undefined /*out*/;
            resourceInputs["configurationAlias"] = undefined /*out*/;
            resourceInputs["configurationArn"] = undefined /*out*/;
            resourceInputs["typeArn"] = undefined /*out*/;
            resourceInputs["typeName"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["configurationAlias"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(HookTypeConfig.__pulumiType, name, resourceInputs, opts);
    }
}
exports.HookTypeConfig = HookTypeConfig;
/** @internal */
HookTypeConfig.__pulumiType = 'aws-native:cloudformation:HookTypeConfig';
//# sourceMappingURL=hookTypeConfig.js.map