import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::Connect::Instance
 */
export declare function getInstance(args: GetInstanceArgs, opts?: pulumi.InvokeOptions): Promise<GetInstanceResult>;
export interface GetInstanceArgs {
    /**
     * An instanceArn is automatically generated on creation based on instanceId.
     */
    arn: string;
}
export interface GetInstanceResult {
    /**
     * An instanceArn is automatically generated on creation based on instanceId.
     */
    readonly arn?: string;
    /**
     * The attributes for the instance.
     */
    readonly attributes?: outputs.connect.InstanceAttributes;
    /**
     * Timestamp of instance creation logged as part of instance creation.
     */
    readonly createdTime?: string;
    /**
     * An instanceId is automatically generated on creation and assigned as the unique identifier.
     */
    readonly id?: string;
    /**
     * Specifies the creation status of new instance.
     */
    readonly instanceStatus?: enums.connect.InstanceStatus;
    /**
     * Service linked role created as part of instance creation.
     */
    readonly serviceRole?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Connect::Instance
 */
export declare function getInstanceOutput(args: GetInstanceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetInstanceResult>;
export interface GetInstanceOutputArgs {
    /**
     * An instanceArn is automatically generated on creation based on instanceId.
     */
    arn: pulumi.Input<string>;
}
