import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataSync::LocationFSxONTAP.
 */
export declare function getLocationFSxOntap(args: GetLocationFSxOntapArgs, opts?: pulumi.InvokeOptions): Promise<GetLocationFSxOntapResult>;
export interface GetLocationFSxOntapArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx ONTAP file system location that is created.
     */
    locationArn: string;
}
export interface GetLocationFSxOntapResult {
    /**
     * The Amazon Resource Name (ARN) for the FSx ONAP file system.
     */
    readonly fsxFilesystemArn?: string;
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx ONTAP file system location that is created.
     */
    readonly locationArn?: string;
    /**
     * The URL of the FSx ONTAP file system that was described.
     */
    readonly locationUri?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataSync::LocationFSxONTAP.
 */
export declare function getLocationFSxOntapOutput(args: GetLocationFSxOntapOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocationFSxOntapResult>;
export interface GetLocationFSxOntapOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx ONTAP file system location that is created.
     */
    locationArn: pulumi.Input<string>;
}
