import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataSync::LocationFSxOpenZFS.
 */
export declare function getLocationFSxOpenZfs(args: GetLocationFSxOpenZfsArgs, opts?: pulumi.InvokeOptions): Promise<GetLocationFSxOpenZfsResult>;
export interface GetLocationFSxOpenZfsArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx OpenZFS file system location that is created.
     */
    locationArn: string;
}
export interface GetLocationFSxOpenZfsResult {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx OpenZFS file system location that is created.
     */
    readonly locationArn?: string;
    /**
     * The URL of the FSx OpenZFS that was described.
     */
    readonly locationUri?: string;
    /**
     * The type of protocol that AWS DataSync uses to access your file system.
     */
    readonly protocol?: outputs.datasync.LocationFSxOpenZfsProtocol;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataSync::LocationFSxOpenZFS.
 */
export declare function getLocationFSxOpenZfsOutput(args: GetLocationFSxOpenZfsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocationFSxOpenZfsResult>;
export interface GetLocationFSxOpenZfsOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx OpenZFS file system location that is created.
     */
    locationArn: pulumi.Input<string>;
}
