import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataSync::LocationFSxWindows.
 */
export declare function getLocationFSxWindows(args: GetLocationFSxWindowsArgs, opts?: pulumi.InvokeOptions): Promise<GetLocationFSxWindowsResult>;
export interface GetLocationFSxWindowsArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Windows file system location that is created.
     */
    locationArn: string;
}
export interface GetLocationFSxWindowsResult {
    /**
     * The name of the Windows domain that the FSx for Windows server belongs to.
     */
    readonly domain?: string;
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Windows file system location that is created.
     */
    readonly locationArn?: string;
    /**
     * The URL of the FSx for Windows location that was described.
     */
    readonly locationUri?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The user who has the permissions to access files and folders in the FSx for Windows file system.
     */
    readonly user?: string;
}
/**
 * Resource schema for AWS::DataSync::LocationFSxWindows.
 */
export declare function getLocationFSxWindowsOutput(args: GetLocationFSxWindowsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocationFSxWindowsResult>;
export interface GetLocationFSxWindowsOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Windows file system location that is created.
     */
    locationArn: pulumi.Input<string>;
}
