"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.LaunchTemplate = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Specifies the properties for creating a launch template.
 *  The minimum required properties for specifying a launch template are as follows:
 *   +  You must specify at least one property for the launch template data.
 *   +  You can optionally specify a name for the launch template. If you do not specify a name, CFN creates a name for you.
 *
 *  A launch template can contain some or all of the configuration information to launch an instance. When you launch an instance using a launch template, instance properties that are not specified in the launch template use default values, except the ``ImageId`` property, which has no default value. If you do not specify an AMI ID for the launch template ``ImageId`` property, you must specify an AMI ID for the instance ``ImageId`` property.
 *  For more information, see [Launch an instance from a launch template](https://docs.aws.amazon.com/AWSEC2/latest/UserGuide/ec2-launch-templates.html) in the *Amazon EC2 User Guide*.
 */
class LaunchTemplate extends pulumi.CustomResource {
    /**
     * Get an existing LaunchTemplate resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new LaunchTemplate(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of LaunchTemplate.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === LaunchTemplate.__pulumiType;
    }
    /**
     * Create a LaunchTemplate resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.launchTemplateData === undefined) && !opts.urn) {
                throw new Error("Missing required property 'launchTemplateData'");
            }
            resourceInputs["launchTemplateData"] = args ? args.launchTemplateData : undefined;
            resourceInputs["launchTemplateName"] = args ? args.launchTemplateName : undefined;
            resourceInputs["tagSpecifications"] = args ? args.tagSpecifications : undefined;
            resourceInputs["versionDescription"] = args ? args.versionDescription : undefined;
            resourceInputs["defaultVersionNumber"] = undefined /*out*/;
            resourceInputs["latestVersionNumber"] = undefined /*out*/;
            resourceInputs["launchTemplateId"] = undefined /*out*/;
        }
        else {
            resourceInputs["defaultVersionNumber"] = undefined /*out*/;
            resourceInputs["latestVersionNumber"] = undefined /*out*/;
            resourceInputs["launchTemplateData"] = undefined /*out*/;
            resourceInputs["launchTemplateId"] = undefined /*out*/;
            resourceInputs["launchTemplateName"] = undefined /*out*/;
            resourceInputs["tagSpecifications"] = undefined /*out*/;
            resourceInputs["versionDescription"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["launchTemplateName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(LaunchTemplate.__pulumiType, name, resourceInputs, opts);
    }
}
exports.LaunchTemplate = LaunchTemplate;
/** @internal */
LaunchTemplate.__pulumiType = 'aws-native:ec2:LaunchTemplate';
//# sourceMappingURL=launchTemplate.js.map