import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::EC2::TransitGatewayMulticastDomainAssociation type
 */
export declare class TransitGatewayMulticastDomainAssociation extends pulumi.CustomResource {
    /**
     * Get an existing TransitGatewayMulticastDomainAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): TransitGatewayMulticastDomainAssociation;
    /**
     * Returns true if the given object is an instance of TransitGatewayMulticastDomainAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is TransitGatewayMulticastDomainAssociation;
    /**
     * The ID of the resource.
     */
    readonly resourceId: pulumi.Output<string>;
    /**
     * The type of resource, for example a VPC attachment.
     */
    readonly resourceType: pulumi.Output<string>;
    /**
     * The state of the subnet association.
     */
    readonly state: pulumi.Output<string>;
    /**
     * The IDs of the subnets to associate with the transit gateway multicast domain.
     */
    readonly subnetId: pulumi.Output<string>;
    /**
     * The ID of the transit gateway attachment.
     */
    readonly transitGatewayAttachmentId: pulumi.Output<string>;
    /**
     * The ID of the transit gateway multicast domain.
     */
    readonly transitGatewayMulticastDomainId: pulumi.Output<string>;
    /**
     * Create a TransitGatewayMulticastDomainAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: TransitGatewayMulticastDomainAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a TransitGatewayMulticastDomainAssociation resource.
 */
export interface TransitGatewayMulticastDomainAssociationArgs {
    /**
     * The IDs of the subnets to associate with the transit gateway multicast domain.
     */
    subnetId: pulumi.Input<string>;
    /**
     * The ID of the transit gateway attachment.
     */
    transitGatewayAttachmentId: pulumi.Input<string>;
    /**
     * The ID of the transit gateway multicast domain.
     */
    transitGatewayMulticastDomainId: pulumi.Input<string>;
}
