import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Associate a set of ECS Capacity Providers with a specified ECS Cluster
 */
export declare function getClusterCapacityProviderAssociations(args: GetClusterCapacityProviderAssociationsArgs, opts?: pulumi.InvokeOptions): Promise<GetClusterCapacityProviderAssociationsResult>;
export interface GetClusterCapacityProviderAssociationsArgs {
    /**
     * The cluster the capacity provider association is the target of.
     */
    cluster: string;
}
export interface GetClusterCapacityProviderAssociationsResult {
    /**
     * The capacity providers to associate with the cluster.
     */
    readonly capacityProviders?: (enums.ecs.ClusterCapacityProviderAssociationsCapacityProvider | string)[];
    /**
     * The default capacity provider strategy to associate with the cluster.
     */
    readonly defaultCapacityProviderStrategy?: outputs.ecs.ClusterCapacityProviderAssociationsCapacityProviderStrategy[];
}
/**
 * Associate a set of ECS Capacity Providers with a specified ECS Cluster
 */
export declare function getClusterCapacityProviderAssociationsOutput(args: GetClusterCapacityProviderAssociationsOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClusterCapacityProviderAssociationsResult>;
export interface GetClusterCapacityProviderAssociationsOutputArgs {
    /**
     * The cluster the capacity provider association is the target of.
     */
    cluster: pulumi.Input<string>;
}
