import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Create and manage NetworkAnalyzerConfiguration resource.
 */
export declare function getNetworkAnalyzerConfiguration(args: GetNetworkAnalyzerConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetNetworkAnalyzerConfigurationResult>;
export interface GetNetworkAnalyzerConfigurationArgs {
    /**
     * Name of the network analyzer configuration
     */
    name: string;
}
export interface GetNetworkAnalyzerConfigurationResult {
    /**
     * Arn for network analyzer configuration, Returned upon successful create.
     */
    readonly arn?: string;
    /**
     * The description of the new resource
     */
    readonly description?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * Trace content for your wireless gateway and wireless device resources
     */
    readonly traceContent?: outputs.iotwireless.TraceContentProperties;
    /**
     * List of wireless gateway resources that have been added to the network analyzer configuration
     */
    readonly wirelessDevices?: string[];
    /**
     * List of wireless gateway resources that have been added to the network analyzer configuration
     */
    readonly wirelessGateways?: string[];
}
/**
 * Create and manage NetworkAnalyzerConfiguration resource.
 */
export declare function getNetworkAnalyzerConfigurationOutput(args: GetNetworkAnalyzerConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetNetworkAnalyzerConfigurationResult>;
export interface GetNetworkAnalyzerConfigurationOutputArgs {
    /**
     * Name of the network analyzer configuration
     */
    name: pulumi.Input<string>;
}
