import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IVS::PlaybackKeyPair
 */
export declare function getPlaybackKeyPair(args: GetPlaybackKeyPairArgs, opts?: pulumi.InvokeOptions): Promise<GetPlaybackKeyPairResult>;
export interface GetPlaybackKeyPairArgs {
    /**
     * Key-pair identifier.
     */
    arn: string;
}
export interface GetPlaybackKeyPairResult {
    /**
     * Key-pair identifier.
     */
    readonly arn?: string;
    /**
     * Key-pair identifier.
     */
    readonly fingerprint?: string;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::PlaybackKeyPair
 */
export declare function getPlaybackKeyPairOutput(args: GetPlaybackKeyPairOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPlaybackKeyPairResult>;
export interface GetPlaybackKeyPairOutputArgs {
    /**
     * Key-pair identifier.
     */
    arn: pulumi.Input<string>;
}
