import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::IVS::PublicKey
 */
export declare function getPublicKey(args: GetPublicKeyArgs, opts?: pulumi.InvokeOptions): Promise<GetPublicKeyResult>;
export interface GetPublicKeyArgs {
    /**
     * Key-pair identifier.
     */
    arn: string;
}
export interface GetPublicKeyResult {
    /**
     * Key-pair identifier.
     */
    readonly arn?: string;
    /**
     * Key-pair identifier.
     */
    readonly fingerprint?: string;
    /**
     * A list of key-value pairs that contain metadata for the asset model.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::IVS::PublicKey
 */
export declare function getPublicKeyOutput(args: GetPublicKeyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPublicKeyResult>;
export interface GetPublicKeyOutputArgs {
    /**
     * Key-pair identifier.
     */
    arn: pulumi.Input<string>;
}
