"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Flow = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::MediaConnect::Flow
 */
class Flow extends pulumi.CustomResource {
    /**
     * Get an existing Flow resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Flow(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Flow.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Flow.__pulumiType;
    }
    /**
     * Create a Flow resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.source === undefined) && !opts.urn) {
                throw new Error("Missing required property 'source'");
            }
            resourceInputs["availabilityZone"] = args ? args.availabilityZone : undefined;
            resourceInputs["flowSize"] = args ? args.flowSize : undefined;
            resourceInputs["maintenance"] = args ? args.maintenance : undefined;
            resourceInputs["mediaStreams"] = args ? args.mediaStreams : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["ndiConfig"] = args ? args.ndiConfig : undefined;
            resourceInputs["source"] = args ? args.source : undefined;
            resourceInputs["sourceFailoverConfig"] = args ? args.sourceFailoverConfig : undefined;
            resourceInputs["sourceMonitoringConfig"] = args ? args.sourceMonitoringConfig : undefined;
            resourceInputs["vpcInterfaces"] = args ? args.vpcInterfaces : undefined;
            resourceInputs["egressIp"] = undefined /*out*/;
            resourceInputs["flowArn"] = undefined /*out*/;
            resourceInputs["flowAvailabilityZone"] = undefined /*out*/;
            resourceInputs["flowNdiMachineName"] = undefined /*out*/;
        }
        else {
            resourceInputs["availabilityZone"] = undefined /*out*/;
            resourceInputs["egressIp"] = undefined /*out*/;
            resourceInputs["flowArn"] = undefined /*out*/;
            resourceInputs["flowAvailabilityZone"] = undefined /*out*/;
            resourceInputs["flowNdiMachineName"] = undefined /*out*/;
            resourceInputs["flowSize"] = undefined /*out*/;
            resourceInputs["maintenance"] = undefined /*out*/;
            resourceInputs["mediaStreams"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["ndiConfig"] = undefined /*out*/;
            resourceInputs["source"] = undefined /*out*/;
            resourceInputs["sourceFailoverConfig"] = undefined /*out*/;
            resourceInputs["sourceMonitoringConfig"] = undefined /*out*/;
            resourceInputs["vpcInterfaces"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["availabilityZone", "name", "source.name"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Flow.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Flow = Flow;
/** @internal */
Flow.__pulumiType = 'aws-native:mediaconnect:Flow';
//# sourceMappingURL=flow.js.map