import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::MediaTailor::VodSource Resource Type
 */
export declare function getVodSource(args: GetVodSourceArgs, opts?: pulumi.InvokeOptions): Promise<GetVodSourceResult>;
export interface GetVodSourceArgs {
    /**
     * The name of the source location that the VOD source is associated with.
     */
    sourceLocationName: string;
    /**
     * The name of the VOD source.
     */
    vodSourceName: string;
}
export interface GetVodSourceResult {
    /**
     * <p>The ARN of the VOD source.</p>
     */
    readonly arn?: string;
    /**
     * <p>A list of HTTP package configuration parameters for this VOD source.</p>
     */
    readonly httpPackageConfigurations?: outputs.mediatailor.VodSourceHttpPackageConfiguration[];
    /**
     * The tags to assign to the VOD source.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::MediaTailor::VodSource Resource Type
 */
export declare function getVodSourceOutput(args: GetVodSourceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVodSourceResult>;
export interface GetVodSourceOutputArgs {
    /**
     * The name of the source location that the VOD source is associated with.
     */
    sourceLocationName: pulumi.Input<string>;
    /**
     * The name of the VOD source.
     */
    vodSourceName: pulumi.Input<string>;
}
