import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Creates a package and storage location in an Amazon S3 access point.
 */
export declare function getPackage(args: GetPackageArgs, opts?: pulumi.InvokeOptions): Promise<GetPackageResult>;
export interface GetPackageArgs {
    /**
     * The package's ID.
     */
    packageId: string;
}
export interface GetPackageResult {
    /**
     * The package's ARN.
     */
    readonly arn?: string;
    /**
     * When the package was created.
     */
    readonly createdTime?: number;
    /**
     * The package's ID.
     */
    readonly packageId?: string;
    /**
     * A storage location.
     */
    readonly storageLocation?: outputs.panorama.PackageStorageLocation;
    /**
     * Tags for the package.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Creates a package and storage location in an Amazon S3 access point.
 */
export declare function getPackageOutput(args: GetPackageOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPackageResult>;
export interface GetPackageOutputArgs {
    /**
     * The package's ID.
     */
    packageId: pulumi.Input<string>;
}
