import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::PaymentCryptography::Alias Resource Type
 */
export declare function getAlias(args: GetAliasArgs, opts?: pulumi.InvokeOptions): Promise<GetAliasResult>;
export interface GetAliasArgs {
    /**
     * A friendly name that you can use to refer to a key. The value must begin with `alias/` .
     *
     * > Do not include confidential or sensitive information in this field. This field may be displayed in plaintext in AWS CloudTrail logs and other output.
     */
    aliasName: string;
}
export interface GetAliasResult {
    /**
     * The `KeyARN` of the key associated with the alias.
     */
    readonly keyArn?: string;
}
/**
 * Definition of AWS::PaymentCryptography::Alias Resource Type
 */
export declare function getAliasOutput(args: GetAliasOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAliasResult>;
export interface GetAliasOutputArgs {
    /**
     * A friendly name that you can use to refer to a key. The value must begin with `alias/` .
     *
     * > Do not include confidential or sensitive information in this field. This field may be displayed in plaintext in AWS CloudTrail logs and other output.
     */
    aliasName: pulumi.Input<string>;
}
