import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::RefactorSpaces::Environment Resource Type
 */
export declare function getEnvironment(args: GetEnvironmentArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentResult>;
export interface GetEnvironmentArgs {
    /**
     * The unique identifier of the environment.
     */
    environmentIdentifier: string;
}
export interface GetEnvironmentResult {
    /**
     * The Amazon Resource Name (ARN) of the environment.
     */
    readonly arn?: string;
    /**
     * The unique identifier of the environment.
     */
    readonly environmentIdentifier?: string;
    /**
     * Metadata that you can assign to help organize the frameworks that you create. Each tag is a key-value pair.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ID of the AWS Transit Gateway set up by the environment.
     */
    readonly transitGatewayId?: string;
}
/**
 * Definition of AWS::RefactorSpaces::Environment Resource Type
 */
export declare function getEnvironmentOutput(args: GetEnvironmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentResult>;
export interface GetEnvironmentOutputArgs {
    /**
     * The unique identifier of the environment.
     */
    environmentIdentifier: pulumi.Input<string>;
}
