import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * This schema is for testing purpose only.
 */
export declare function getRobotApplication(args: GetRobotApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetRobotApplicationResult>;
export interface GetRobotApplicationArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot application.
     */
    arn: string;
}
export interface GetRobotApplicationResult {
    /**
     * The Amazon Resource Name (ARN) of the robot application.
     */
    readonly arn?: string;
    /**
     * The revision ID of robot application.
     */
    readonly currentRevisionId?: string;
    /**
     * The URI of the Docker image for the robot application.
     */
    readonly environment?: string;
    /**
     * The robot software suite used by the robot application.
     */
    readonly robotSoftwareSuite?: outputs.robomaker.RobotApplicationRobotSoftwareSuite;
    /**
     * A map that contains tag keys and tag values that are attached to the robot application.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * This schema is for testing purpose only.
 */
export declare function getRobotApplicationOutput(args: GetRobotApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRobotApplicationResult>;
export interface GetRobotApplicationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the robot application.
     */
    arn: pulumi.Input<string>;
}
