import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::SageMaker::StudioLifecycleConfig
 */
export declare function getStudioLifecycleConfig(args: GetStudioLifecycleConfigArgs, opts?: pulumi.InvokeOptions): Promise<GetStudioLifecycleConfigResult>;
export interface GetStudioLifecycleConfigArgs {
    /**
     * The name of the Amazon SageMaker Studio Lifecycle Configuration.
     */
    studioLifecycleConfigName: string;
}
export interface GetStudioLifecycleConfigResult {
    /**
     * The Amazon Resource Name (ARN) of the Lifecycle Configuration.
     */
    readonly studioLifecycleConfigArn?: string;
}
/**
 * Resource Type definition for AWS::SageMaker::StudioLifecycleConfig
 */
export declare function getStudioLifecycleConfigOutput(args: GetStudioLifecycleConfigOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStudioLifecycleConfigResult>;
export interface GetStudioLifecycleConfigOutputArgs {
    /**
     * The name of the Amazon SageMaker Studio Lifecycle Configuration.
     */
    studioLifecycleConfigName: pulumi.Input<string>;
}
