import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Schema for AWS::ServiceCatalogAppRegistry::AttributeGroupAssociation.
 */
export declare class AttributeGroupAssociation extends pulumi.CustomResource {
    /**
     * Get an existing AttributeGroupAssociation resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): AttributeGroupAssociation;
    /**
     * Returns true if the given object is an instance of AttributeGroupAssociation.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is AttributeGroupAssociation;
    /**
     * The name or the Id of the Application.
     */
    readonly application: pulumi.Output<string>;
    /**
     * The Amazon resource name (ARN) of the application that was augmented with attributes.
     */
    readonly applicationArn: pulumi.Output<string>;
    /**
     * The name or the Id of the AttributeGroup.
     */
    readonly attributeGroup: pulumi.Output<string>;
    /**
     * The Amazon resource name (ARN) of the attribute group which contains the application's new attributes.
     */
    readonly attributeGroupArn: pulumi.Output<string>;
    /**
     * Create a AttributeGroupAssociation resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: AttributeGroupAssociationArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a AttributeGroupAssociation resource.
 */
export interface AttributeGroupAssociationArgs {
    /**
     * The name or the Id of the Application.
     */
    application: pulumi.Input<string>;
    /**
     * The name or the Id of the AttributeGroup.
     */
    attributeGroup: pulumi.Input<string>;
}
