import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::SES::ContactList.
 */
export declare function getContactList(args: GetContactListArgs, opts?: pulumi.InvokeOptions): Promise<GetContactListResult>;
export interface GetContactListArgs {
    /**
     * The name of the contact list.
     */
    contactListName: string;
}
export interface GetContactListResult {
    /**
     * The description of the contact list.
     */
    readonly description?: string;
    /**
     * The tags (keys and values) associated with the contact list.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The topics associated with the contact list.
     */
    readonly topics?: outputs.ses.ContactListTopic[];
}
/**
 * Resource schema for AWS::SES::ContactList.
 */
export declare function getContactListOutput(args: GetContactListOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetContactListResult>;
export interface GetContactListOutputArgs {
    /**
     * The name of the contact list.
     */
    contactListName: pulumi.Input<string>;
}
