export declare const AgentActionGroupSignature: {
    readonly AmazonUserInput: "AMAZON.UserInput";
    readonly AmazonCodeInterpreter: "AMAZON.CodeInterpreter";
};
/**
 * Action Group Signature for a BuiltIn Action
 */
export type AgentActionGroupSignature = (typeof AgentActionGroupSignature)[keyof typeof AgentActionGroupSignature];
export declare const AgentActionGroupState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * State of the action group
 */
export type AgentActionGroupState = (typeof AgentActionGroupState)[keyof typeof AgentActionGroupState];
export declare const AgentAliasStatus: {
    readonly Creating: "CREATING";
    readonly Prepared: "PREPARED";
    readonly Failed: "FAILED";
    readonly Updating: "UPDATING";
    readonly Deleting: "DELETING";
};
/**
 * The statuses an Agent Alias can be in.
 */
export type AgentAliasStatus = (typeof AgentAliasStatus)[keyof typeof AgentAliasStatus];
export declare const AgentCollaboration: {
    readonly Disabled: "DISABLED";
    readonly Supervisor: "SUPERVISOR";
    readonly SupervisorRouter: "SUPERVISOR_ROUTER";
};
/**
 * Agent collaboration state
 */
export type AgentCollaboration = (typeof AgentCollaboration)[keyof typeof AgentCollaboration];
export declare const AgentCreationMode: {
    readonly Default: "DEFAULT";
    readonly Overridden: "OVERRIDDEN";
};
/**
 * Creation Mode for Prompt Configuration.
 */
export type AgentCreationMode = (typeof AgentCreationMode)[keyof typeof AgentCreationMode];
export declare const AgentCustomControlMethod: {
    readonly ReturnControl: "RETURN_CONTROL";
};
/**
 * Custom control of action execution
 */
export type AgentCustomControlMethod = (typeof AgentCustomControlMethod)[keyof typeof AgentCustomControlMethod];
export declare const AgentKnowledgeBaseState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * State of the knowledge base; whether it is enabled or disabled
 */
export type AgentKnowledgeBaseState = (typeof AgentKnowledgeBaseState)[keyof typeof AgentKnowledgeBaseState];
export declare const AgentMemoryType: {
    readonly SessionSummary: "SESSION_SUMMARY";
};
/**
 * Memory type
 */
export type AgentMemoryType = (typeof AgentMemoryType)[keyof typeof AgentMemoryType];
export declare const AgentOrchestrationType: {
    readonly Default: "DEFAULT";
    readonly CustomOrchestration: "CUSTOM_ORCHESTRATION";
};
/**
 * Types of orchestration strategy for agents
 */
export type AgentOrchestrationType = (typeof AgentOrchestrationType)[keyof typeof AgentOrchestrationType];
export declare const AgentPromptState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Prompt State.
 */
export type AgentPromptState = (typeof AgentPromptState)[keyof typeof AgentPromptState];
export declare const AgentPromptType: {
    readonly PreProcessing: "PRE_PROCESSING";
    readonly Orchestration: "ORCHESTRATION";
    readonly PostProcessing: "POST_PROCESSING";
    readonly RoutingClassifier: "ROUTING_CLASSIFIER";
    readonly MemorySummarization: "MEMORY_SUMMARIZATION";
    readonly KnowledgeBaseResponseGeneration: "KNOWLEDGE_BASE_RESPONSE_GENERATION";
};
/**
 * Prompt Type.
 */
export type AgentPromptType = (typeof AgentPromptType)[keyof typeof AgentPromptType];
export declare const AgentRelayConversationHistory: {
    readonly ToCollaborator: "TO_COLLABORATOR";
    readonly Disabled: "DISABLED";
};
/**
 * Relay conversation history state
 */
export type AgentRelayConversationHistory = (typeof AgentRelayConversationHistory)[keyof typeof AgentRelayConversationHistory];
export declare const AgentRequireConfirmation: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * ENUM to check if action requires user confirmation
 */
export type AgentRequireConfirmation = (typeof AgentRequireConfirmation)[keyof typeof AgentRequireConfirmation];
export declare const AgentStatus: {
    readonly Creating: "CREATING";
    readonly Preparing: "PREPARING";
    readonly Prepared: "PREPARED";
    readonly NotPrepared: "NOT_PREPARED";
    readonly Deleting: "DELETING";
    readonly Failed: "FAILED";
    readonly Versioning: "VERSIONING";
    readonly Updating: "UPDATING";
};
/**
 * Schema Type for Action APIs.
 */
export type AgentStatus = (typeof AgentStatus)[keyof typeof AgentStatus];
export declare const AgentType: {
    readonly String: "string";
    readonly Number: "number";
    readonly Integer: "integer";
    readonly Boolean: "boolean";
    readonly Array: "array";
};
/**
 * Parameter Type
 */
export type AgentType = (typeof AgentType)[keyof typeof AgentType];
export declare const ApplicationInferenceProfileInferenceProfileStatus: {
    readonly Active: "ACTIVE";
};
/**
 * Status of the Inference Profile
 */
export type ApplicationInferenceProfileInferenceProfileStatus = (typeof ApplicationInferenceProfileInferenceProfileStatus)[keyof typeof ApplicationInferenceProfileInferenceProfileStatus];
export declare const ApplicationInferenceProfileInferenceProfileType: {
    readonly Application: "APPLICATION";
    readonly SystemDefined: "SYSTEM_DEFINED";
};
/**
 * Type of the Inference Profile
 */
export type ApplicationInferenceProfileInferenceProfileType = (typeof ApplicationInferenceProfileInferenceProfileType)[keyof typeof ApplicationInferenceProfileInferenceProfileType];
export declare const BlueprintStage: {
    readonly Development: "DEVELOPMENT";
    readonly Live: "LIVE";
};
/**
 * Stage of the Blueprint
 */
export type BlueprintStage = (typeof BlueprintStage)[keyof typeof BlueprintStage];
export declare const BlueprintType: {
    readonly Document: "DOCUMENT";
    readonly Image: "IMAGE";
    readonly Audio: "AUDIO";
    readonly Video: "VIDEO";
};
/**
 * Modality Type
 */
export type BlueprintType = (typeof BlueprintType)[keyof typeof BlueprintType];
export declare const DataAutomationProjectAudioExtractionCategoryType: {
    readonly AudioContentModeration: "AUDIO_CONTENT_MODERATION";
    readonly Transcript: "TRANSCRIPT";
    readonly TopicContentModeration: "TOPIC_CONTENT_MODERATION";
};
export type DataAutomationProjectAudioExtractionCategoryType = (typeof DataAutomationProjectAudioExtractionCategoryType)[keyof typeof DataAutomationProjectAudioExtractionCategoryType];
export declare const DataAutomationProjectAudioStandardGenerativeFieldType: {
    readonly AudioSummary: "AUDIO_SUMMARY";
    readonly Iab: "IAB";
    readonly TopicSummary: "TOPIC_SUMMARY";
};
export type DataAutomationProjectAudioStandardGenerativeFieldType = (typeof DataAutomationProjectAudioStandardGenerativeFieldType)[keyof typeof DataAutomationProjectAudioStandardGenerativeFieldType];
export declare const DataAutomationProjectBlueprintStage: {
    readonly Development: "DEVELOPMENT";
    readonly Live: "LIVE";
};
/**
 * Stage of the Blueprint
 */
export type DataAutomationProjectBlueprintStage = (typeof DataAutomationProjectBlueprintStage)[keyof typeof DataAutomationProjectBlueprintStage];
export declare const DataAutomationProjectDesiredModality: {
    readonly Document: "DOCUMENT";
    readonly Image: "IMAGE";
    readonly Video: "VIDEO";
    readonly Audio: "AUDIO";
};
export type DataAutomationProjectDesiredModality = (typeof DataAutomationProjectDesiredModality)[keyof typeof DataAutomationProjectDesiredModality];
export declare const DataAutomationProjectDocumentExtractionGranularityType: {
    readonly Document: "DOCUMENT";
    readonly Page: "PAGE";
    readonly Element: "ELEMENT";
    readonly Word: "WORD";
    readonly Line: "LINE";
};
export type DataAutomationProjectDocumentExtractionGranularityType = (typeof DataAutomationProjectDocumentExtractionGranularityType)[keyof typeof DataAutomationProjectDocumentExtractionGranularityType];
export declare const DataAutomationProjectDocumentOutputTextFormatType: {
    readonly PlainText: "PLAIN_TEXT";
    readonly Markdown: "MARKDOWN";
    readonly Html: "HTML";
    readonly Csv: "CSV";
};
export type DataAutomationProjectDocumentOutputTextFormatType = (typeof DataAutomationProjectDocumentOutputTextFormatType)[keyof typeof DataAutomationProjectDocumentOutputTextFormatType];
export declare const DataAutomationProjectImageExtractionCategoryType: {
    readonly ContentModeration: "CONTENT_MODERATION";
    readonly TextDetection: "TEXT_DETECTION";
    readonly Logos: "LOGOS";
};
export type DataAutomationProjectImageExtractionCategoryType = (typeof DataAutomationProjectImageExtractionCategoryType)[keyof typeof DataAutomationProjectImageExtractionCategoryType];
export declare const DataAutomationProjectImageStandardGenerativeFieldType: {
    readonly ImageSummary: "IMAGE_SUMMARY";
    readonly Iab: "IAB";
};
export type DataAutomationProjectImageStandardGenerativeFieldType = (typeof DataAutomationProjectImageStandardGenerativeFieldType)[keyof typeof DataAutomationProjectImageStandardGenerativeFieldType];
export declare const DataAutomationProjectStage: {
    readonly Development: "DEVELOPMENT";
    readonly Live: "LIVE";
};
/**
 * Stage of the Project
 */
export type DataAutomationProjectStage = (typeof DataAutomationProjectStage)[keyof typeof DataAutomationProjectStage];
export declare const DataAutomationProjectState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
export type DataAutomationProjectState = (typeof DataAutomationProjectState)[keyof typeof DataAutomationProjectState];
export declare const DataAutomationProjectStatus: {
    readonly Completed: "COMPLETED";
    readonly InProgress: "IN_PROGRESS";
    readonly Failed: "FAILED";
};
export type DataAutomationProjectStatus = (typeof DataAutomationProjectStatus)[keyof typeof DataAutomationProjectStatus];
export declare const DataAutomationProjectVideoExtractionCategoryType: {
    readonly ContentModeration: "CONTENT_MODERATION";
    readonly TextDetection: "TEXT_DETECTION";
    readonly Transcript: "TRANSCRIPT";
    readonly Logos: "LOGOS";
};
export type DataAutomationProjectVideoExtractionCategoryType = (typeof DataAutomationProjectVideoExtractionCategoryType)[keyof typeof DataAutomationProjectVideoExtractionCategoryType];
export declare const DataAutomationProjectVideoStandardGenerativeFieldType: {
    readonly VideoSummary: "VIDEO_SUMMARY";
    readonly Iab: "IAB";
    readonly ChapterSummary: "CHAPTER_SUMMARY";
};
export type DataAutomationProjectVideoStandardGenerativeFieldType = (typeof DataAutomationProjectVideoStandardGenerativeFieldType)[keyof typeof DataAutomationProjectVideoStandardGenerativeFieldType];
export declare const DataSourceChunkingStrategy: {
    readonly FixedSize: "FIXED_SIZE";
    readonly None: "NONE";
    readonly Hierarchical: "HIERARCHICAL";
    readonly Semantic: "SEMANTIC";
};
/**
 * Knowledge base can split your source data into chunks. A chunk refers to an excerpt from a data source that is returned when the knowledge base that it belongs to is queried. You have the following options for chunking your data. If you opt for NONE, then you may want to pre-process your files by splitting them up such that each file corresponds to a chunk.
 */
export type DataSourceChunkingStrategy = (typeof DataSourceChunkingStrategy)[keyof typeof DataSourceChunkingStrategy];
export declare const DataSourceConfluenceSourceConfigurationAuthType: {
    readonly Basic: "BASIC";
    readonly Oauth2ClientCredentials: "OAUTH2_CLIENT_CREDENTIALS";
};
/**
 * The supported authentication type to authenticate and connect to your Confluence instance.
 */
export type DataSourceConfluenceSourceConfigurationAuthType = (typeof DataSourceConfluenceSourceConfigurationAuthType)[keyof typeof DataSourceConfluenceSourceConfigurationAuthType];
export declare const DataSourceConfluenceSourceConfigurationHostType: {
    readonly Saas: "SAAS";
};
/**
 * The supported host type, whether online/cloud or server/on-premises.
 */
export type DataSourceConfluenceSourceConfigurationHostType = (typeof DataSourceConfluenceSourceConfigurationHostType)[keyof typeof DataSourceConfluenceSourceConfigurationHostType];
export declare const DataSourceContextEnrichmentType: {
    readonly BedrockFoundationModel: "BEDROCK_FOUNDATION_MODEL";
};
/**
 * Enrichment type to be used for the vector database.
 */
export type DataSourceContextEnrichmentType = (typeof DataSourceContextEnrichmentType)[keyof typeof DataSourceContextEnrichmentType];
export declare const DataSourceCrawlFilterConfigurationType: {
    readonly Pattern: "PATTERN";
};
/**
 * The crawl filter type.
 */
export type DataSourceCrawlFilterConfigurationType = (typeof DataSourceCrawlFilterConfigurationType)[keyof typeof DataSourceCrawlFilterConfigurationType];
export declare const DataSourceDataDeletionPolicy: {
    readonly Retain: "RETAIN";
    readonly Delete: "DELETE";
};
/**
 * The deletion policy for the data source.
 */
export type DataSourceDataDeletionPolicy = (typeof DataSourceDataDeletionPolicy)[keyof typeof DataSourceDataDeletionPolicy];
export declare const DataSourceEnrichmentStrategyMethod: {
    readonly ChunkEntityExtraction: "CHUNK_ENTITY_EXTRACTION";
};
/**
 * Enrichment Strategy method.
 */
export type DataSourceEnrichmentStrategyMethod = (typeof DataSourceEnrichmentStrategyMethod)[keyof typeof DataSourceEnrichmentStrategyMethod];
export declare const DataSourceParsingModality: {
    readonly Multimodal: "MULTIMODAL";
};
/**
 * Determine how will parsed content be stored.
 */
export type DataSourceParsingModality = (typeof DataSourceParsingModality)[keyof typeof DataSourceParsingModality];
export declare const DataSourceParsingStrategy: {
    readonly BedrockFoundationModel: "BEDROCK_FOUNDATION_MODEL";
    readonly BedrockDataAutomation: "BEDROCK_DATA_AUTOMATION";
};
/**
 * The parsing strategy for the data source.
 */
export type DataSourceParsingStrategy = (typeof DataSourceParsingStrategy)[keyof typeof DataSourceParsingStrategy];
export declare const DataSourceSalesforceSourceConfigurationAuthType: {
    readonly Oauth2ClientCredentials: "OAUTH2_CLIENT_CREDENTIALS";
};
/**
 * The supported authentication type to authenticate and connect to your Salesforce instance.
 */
export type DataSourceSalesforceSourceConfigurationAuthType = (typeof DataSourceSalesforceSourceConfigurationAuthType)[keyof typeof DataSourceSalesforceSourceConfigurationAuthType];
export declare const DataSourceSharePointSourceConfigurationAuthType: {
    readonly Oauth2ClientCredentials: "OAUTH2_CLIENT_CREDENTIALS";
    readonly Oauth2SharepointAppOnlyClientCredentials: "OAUTH2_SHAREPOINT_APP_ONLY_CLIENT_CREDENTIALS";
};
/**
 * The supported authentication type to authenticate and connect to your SharePoint site/sites.
 */
export type DataSourceSharePointSourceConfigurationAuthType = (typeof DataSourceSharePointSourceConfigurationAuthType)[keyof typeof DataSourceSharePointSourceConfigurationAuthType];
export declare const DataSourceSharePointSourceConfigurationHostType: {
    readonly Online: "ONLINE";
};
/**
 * The supported host type, whether online/cloud or server/on-premises.
 */
export type DataSourceSharePointSourceConfigurationHostType = (typeof DataSourceSharePointSourceConfigurationHostType)[keyof typeof DataSourceSharePointSourceConfigurationHostType];
export declare const DataSourceStatus: {
    readonly Available: "AVAILABLE";
    readonly Deleting: "DELETING";
    readonly DeleteUnsuccessful: "DELETE_UNSUCCESSFUL";
};
/**
 * The status of a data source.
 */
export type DataSourceStatus = (typeof DataSourceStatus)[keyof typeof DataSourceStatus];
export declare const DataSourceTransformationStepToApply: {
    readonly PostChunking: "POST_CHUNKING";
};
/**
 * When the service applies the transformation.
 */
export type DataSourceTransformationStepToApply = (typeof DataSourceTransformationStepToApply)[keyof typeof DataSourceTransformationStepToApply];
export declare const DataSourceType: {
    readonly S3: "S3";
    readonly Confluence: "CONFLUENCE";
    readonly Salesforce: "SALESFORCE";
    readonly Sharepoint: "SHAREPOINT";
    readonly Web: "WEB";
    readonly Custom: "CUSTOM";
    readonly RedshiftMetadata: "REDSHIFT_METADATA";
};
/**
 * The type of the data source location.
 */
export type DataSourceType = (typeof DataSourceType)[keyof typeof DataSourceType];
export declare const DataSourceWebScopeType: {
    readonly HostOnly: "HOST_ONLY";
    readonly Subdomains: "SUBDOMAINS";
};
/**
 * The scope that a web crawl job will be restricted to.
 */
export type DataSourceWebScopeType = (typeof DataSourceWebScopeType)[keyof typeof DataSourceWebScopeType];
export declare const FlowConnectionType: {
    readonly Data: "Data";
    readonly Conditional: "Conditional";
};
/**
 * Connection type
 */
export type FlowConnectionType = (typeof FlowConnectionType)[keyof typeof FlowConnectionType];
export declare const FlowNodeIoDataType: {
    readonly String: "String";
    readonly Number: "Number";
    readonly Boolean: "Boolean";
    readonly Object: "Object";
    readonly Array: "Array";
};
/**
 * Type of input/output for a node in a flow
 */
export type FlowNodeIoDataType = (typeof FlowNodeIoDataType)[keyof typeof FlowNodeIoDataType];
export declare const FlowNodeType: {
    readonly InputType: "Input";
    readonly OutputType: "Output";
    readonly KnowledgeBase: "KnowledgeBase";
    readonly Condition: "Condition";
    readonly Lex: "Lex";
    readonly Prompt: "Prompt";
    readonly LambdaFunction: "LambdaFunction";
    readonly Agent: "Agent";
    readonly Storage: "Storage";
    readonly Retrieval: "Retrieval";
    readonly Iterator: "Iterator";
    readonly Collector: "Collector";
};
/**
 * Flow node types
 */
export type FlowNodeType = (typeof FlowNodeType)[keyof typeof FlowNodeType];
export declare const FlowPromptTemplateType: {
    readonly Text: "TEXT";
};
/**
 * Prompt template type
 */
export type FlowPromptTemplateType = (typeof FlowPromptTemplateType)[keyof typeof FlowPromptTemplateType];
export declare const FlowStatus: {
    readonly Failed: "Failed";
    readonly Prepared: "Prepared";
    readonly Preparing: "Preparing";
    readonly NotPrepared: "NotPrepared";
};
/**
 * Schema Type for Flow APIs
 */
export type FlowStatus = (typeof FlowStatus)[keyof typeof FlowStatus];
export declare const FlowVersionFlowConnectionType: {
    readonly Data: "Data";
    readonly Conditional: "Conditional";
};
/**
 * Connection type
 */
export type FlowVersionFlowConnectionType = (typeof FlowVersionFlowConnectionType)[keyof typeof FlowVersionFlowConnectionType];
export declare const FlowVersionFlowNodeIoDataType: {
    readonly String: "String";
    readonly Number: "Number";
    readonly Boolean: "Boolean";
    readonly Object: "Object";
    readonly Array: "Array";
};
/**
 * Type of input/output for a node in a flow
 */
export type FlowVersionFlowNodeIoDataType = (typeof FlowVersionFlowNodeIoDataType)[keyof typeof FlowVersionFlowNodeIoDataType];
export declare const FlowVersionFlowNodeType: {
    readonly InputType: "Input";
    readonly OutputType: "Output";
    readonly KnowledgeBase: "KnowledgeBase";
    readonly Condition: "Condition";
    readonly Lex: "Lex";
    readonly Prompt: "Prompt";
    readonly LambdaFunction: "LambdaFunction";
    readonly Agent: "Agent";
    readonly Iterator: "Iterator";
    readonly Collector: "Collector";
    readonly Storage: "Storage";
    readonly Retrieval: "Retrieval";
};
/**
 * Flow node types
 */
export type FlowVersionFlowNodeType = (typeof FlowVersionFlowNodeType)[keyof typeof FlowVersionFlowNodeType];
export declare const FlowVersionFlowStatus: {
    readonly Failed: "Failed";
    readonly Prepared: "Prepared";
    readonly Preparing: "Preparing";
    readonly NotPrepared: "NotPrepared";
};
/**
 * Schema Type for Flow APIs
 */
export type FlowVersionFlowStatus = (typeof FlowVersionFlowStatus)[keyof typeof FlowVersionFlowStatus];
export declare const FlowVersionPromptTemplateType: {
    readonly Text: "TEXT";
};
/**
 * Prompt template type
 */
export type FlowVersionPromptTemplateType = (typeof FlowVersionPromptTemplateType)[keyof typeof FlowVersionPromptTemplateType];
export declare const GuardrailContentFilterAction: {
    readonly Block: "BLOCK";
    readonly None: "NONE";
};
export type GuardrailContentFilterAction = (typeof GuardrailContentFilterAction)[keyof typeof GuardrailContentFilterAction];
export declare const GuardrailContentFilterType: {
    readonly Sexual: "SEXUAL";
    readonly Violence: "VIOLENCE";
    readonly Hate: "HATE";
    readonly Insults: "INSULTS";
    readonly Misconduct: "MISCONDUCT";
    readonly PromptAttack: "PROMPT_ATTACK";
};
/**
 * Type of filter in content policy
 */
export type GuardrailContentFilterType = (typeof GuardrailContentFilterType)[keyof typeof GuardrailContentFilterType];
export declare const GuardrailContextualGroundingAction: {
    readonly Block: "BLOCK";
    readonly None: "NONE";
};
export type GuardrailContextualGroundingAction = (typeof GuardrailContextualGroundingAction)[keyof typeof GuardrailContextualGroundingAction];
export declare const GuardrailContextualGroundingFilterType: {
    readonly Grounding: "GROUNDING";
    readonly Relevance: "RELEVANCE";
};
/**
 * Type of contextual grounding filter
 */
export type GuardrailContextualGroundingFilterType = (typeof GuardrailContextualGroundingFilterType)[keyof typeof GuardrailContextualGroundingFilterType];
export declare const GuardrailFilterStrength: {
    readonly None: "NONE";
    readonly Low: "LOW";
    readonly Medium: "MEDIUM";
    readonly High: "HIGH";
};
/**
 * Strength for filters
 */
export type GuardrailFilterStrength = (typeof GuardrailFilterStrength)[keyof typeof GuardrailFilterStrength];
export declare const GuardrailManagedWordsType: {
    readonly Profanity: "PROFANITY";
};
/**
 * Options for managed words.
 */
export type GuardrailManagedWordsType = (typeof GuardrailManagedWordsType)[keyof typeof GuardrailManagedWordsType];
export declare const GuardrailModality: {
    readonly Text: "TEXT";
    readonly Image: "IMAGE";
};
/**
 * Modality for filters
 */
export type GuardrailModality = (typeof GuardrailModality)[keyof typeof GuardrailModality];
export declare const GuardrailPiiEntityType: {
    readonly Address: "ADDRESS";
    readonly Age: "AGE";
    readonly AwsAccessKey: "AWS_ACCESS_KEY";
    readonly AwsSecretKey: "AWS_SECRET_KEY";
    readonly CaHealthNumber: "CA_HEALTH_NUMBER";
    readonly CaSocialInsuranceNumber: "CA_SOCIAL_INSURANCE_NUMBER";
    readonly CreditDebitCardCvv: "CREDIT_DEBIT_CARD_CVV";
    readonly CreditDebitCardExpiry: "CREDIT_DEBIT_CARD_EXPIRY";
    readonly CreditDebitCardNumber: "CREDIT_DEBIT_CARD_NUMBER";
    readonly DriverId: "DRIVER_ID";
    readonly Email: "EMAIL";
    readonly InternationalBankAccountNumber: "INTERNATIONAL_BANK_ACCOUNT_NUMBER";
    readonly IpAddress: "IP_ADDRESS";
    readonly LicensePlate: "LICENSE_PLATE";
    readonly MacAddress: "MAC_ADDRESS";
    readonly Name: "NAME";
    readonly Password: "PASSWORD";
    readonly Phone: "PHONE";
    readonly Pin: "PIN";
    readonly SwiftCode: "SWIFT_CODE";
    readonly UkNationalHealthServiceNumber: "UK_NATIONAL_HEALTH_SERVICE_NUMBER";
    readonly UkNationalInsuranceNumber: "UK_NATIONAL_INSURANCE_NUMBER";
    readonly UkUniqueTaxpayerReferenceNumber: "UK_UNIQUE_TAXPAYER_REFERENCE_NUMBER";
    readonly Url: "URL";
    readonly Username: "USERNAME";
    readonly UsBankAccountNumber: "US_BANK_ACCOUNT_NUMBER";
    readonly UsBankRoutingNumber: "US_BANK_ROUTING_NUMBER";
    readonly UsIndividualTaxIdentificationNumber: "US_INDIVIDUAL_TAX_IDENTIFICATION_NUMBER";
    readonly UsPassportNumber: "US_PASSPORT_NUMBER";
    readonly UsSocialSecurityNumber: "US_SOCIAL_SECURITY_NUMBER";
    readonly VehicleIdentificationNumber: "VEHICLE_IDENTIFICATION_NUMBER";
};
/**
 * The currently supported PII entities
 */
export type GuardrailPiiEntityType = (typeof GuardrailPiiEntityType)[keyof typeof GuardrailPiiEntityType];
export declare const GuardrailSensitiveInformationAction: {
    readonly Block: "BLOCK";
    readonly Anonymize: "ANONYMIZE";
    readonly None: "NONE";
};
/**
 * Options for sensitive information action.
 */
export type GuardrailSensitiveInformationAction = (typeof GuardrailSensitiveInformationAction)[keyof typeof GuardrailSensitiveInformationAction];
export declare const GuardrailStatus: {
    readonly Creating: "CREATING";
    readonly Updating: "UPDATING";
    readonly Versioning: "VERSIONING";
    readonly Ready: "READY";
    readonly Failed: "FAILED";
    readonly Deleting: "DELETING";
};
/**
 * Status of the guardrail
 */
export type GuardrailStatus = (typeof GuardrailStatus)[keyof typeof GuardrailStatus];
export declare const GuardrailTopicAction: {
    readonly Block: "BLOCK";
    readonly None: "NONE";
};
export type GuardrailTopicAction = (typeof GuardrailTopicAction)[keyof typeof GuardrailTopicAction];
export declare const GuardrailTopicType: {
    readonly Deny: "DENY";
};
/**
 * Type of topic in a policy
 */
export type GuardrailTopicType = (typeof GuardrailTopicType)[keyof typeof GuardrailTopicType];
export declare const GuardrailWordAction: {
    readonly Block: "BLOCK";
    readonly None: "NONE";
};
export type GuardrailWordAction = (typeof GuardrailWordAction)[keyof typeof GuardrailWordAction];
export declare const IntelligentPromptRouterPromptRouterStatus: {
    readonly Available: "AVAILABLE";
};
/**
 * Status of a PromptRouter
 */
export type IntelligentPromptRouterPromptRouterStatus = (typeof IntelligentPromptRouterPromptRouterStatus)[keyof typeof IntelligentPromptRouterPromptRouterStatus];
export declare const IntelligentPromptRouterPromptRouterType: {
    readonly Custom: "custom";
    readonly Default: "default";
};
/**
 * Type of a Prompt Router
 */
export type IntelligentPromptRouterPromptRouterType = (typeof IntelligentPromptRouterPromptRouterType)[keyof typeof IntelligentPromptRouterPromptRouterType];
export declare const KnowledgeBaseBedrockEmbeddingModelConfigurationEmbeddingDataType: {
    readonly Float32: "FLOAT32";
    readonly Binary: "BINARY";
};
/**
 * The data type for the vectors when using a model to convert text into vector embeddings.
 */
export type KnowledgeBaseBedrockEmbeddingModelConfigurationEmbeddingDataType = (typeof KnowledgeBaseBedrockEmbeddingModelConfigurationEmbeddingDataType)[keyof typeof KnowledgeBaseBedrockEmbeddingModelConfigurationEmbeddingDataType];
export declare const KnowledgeBaseInclusionType: {
    readonly Include: "INCLUDE";
    readonly Exclude: "EXCLUDE";
};
/**
 * Include or Exclude status for an entity
 */
export type KnowledgeBaseInclusionType = (typeof KnowledgeBaseInclusionType)[keyof typeof KnowledgeBaseInclusionType];
export declare const KnowledgeBaseQueryEngineType: {
    readonly Redshift: "REDSHIFT";
};
/**
 * SQL query engine type
 */
export type KnowledgeBaseQueryEngineType = (typeof KnowledgeBaseQueryEngineType)[keyof typeof KnowledgeBaseQueryEngineType];
export declare const KnowledgeBaseRedshiftProvisionedAuthType: {
    readonly Iam: "IAM";
    readonly UsernamePassword: "USERNAME_PASSWORD";
    readonly Username: "USERNAME";
};
/**
 * Provisioned Redshift auth type
 */
export type KnowledgeBaseRedshiftProvisionedAuthType = (typeof KnowledgeBaseRedshiftProvisionedAuthType)[keyof typeof KnowledgeBaseRedshiftProvisionedAuthType];
export declare const KnowledgeBaseRedshiftQueryEngineStorageType: {
    readonly Redshift: "REDSHIFT";
    readonly AwsDataCatalog: "AWS_DATA_CATALOG";
};
/**
 * Redshift query engine storage type
 */
export type KnowledgeBaseRedshiftQueryEngineStorageType = (typeof KnowledgeBaseRedshiftQueryEngineStorageType)[keyof typeof KnowledgeBaseRedshiftQueryEngineStorageType];
export declare const KnowledgeBaseRedshiftQueryEngineType: {
    readonly Serverless: "SERVERLESS";
    readonly Provisioned: "PROVISIONED";
};
/**
 * Redshift query engine type
 */
export type KnowledgeBaseRedshiftQueryEngineType = (typeof KnowledgeBaseRedshiftQueryEngineType)[keyof typeof KnowledgeBaseRedshiftQueryEngineType];
export declare const KnowledgeBaseRedshiftServerlessAuthType: {
    readonly Iam: "IAM";
    readonly UsernamePassword: "USERNAME_PASSWORD";
};
/**
 * Serverless Redshift auth type
 */
export type KnowledgeBaseRedshiftServerlessAuthType = (typeof KnowledgeBaseRedshiftServerlessAuthType)[keyof typeof KnowledgeBaseRedshiftServerlessAuthType];
export declare const KnowledgeBaseStatus: {
    readonly Creating: "CREATING";
    readonly Active: "ACTIVE";
    readonly Deleting: "DELETING";
    readonly Updating: "UPDATING";
    readonly Failed: "FAILED";
    readonly DeleteUnsuccessful: "DELETE_UNSUCCESSFUL";
};
/**
 * The status of a knowledge base.
 */
export type KnowledgeBaseStatus = (typeof KnowledgeBaseStatus)[keyof typeof KnowledgeBaseStatus];
export declare const KnowledgeBaseStorageType: {
    readonly OpensearchServerless: "OPENSEARCH_SERVERLESS";
    readonly Pinecone: "PINECONE";
    readonly Rds: "RDS";
    readonly MongoDbAtlas: "MONGO_DB_ATLAS";
    readonly NeptuneAnalytics: "NEPTUNE_ANALYTICS";
    readonly OpensearchManagedCluster: "OPENSEARCH_MANAGED_CLUSTER";
};
/**
 * The storage type of a knowledge base.
 */
export type KnowledgeBaseStorageType = (typeof KnowledgeBaseStorageType)[keyof typeof KnowledgeBaseStorageType];
export declare const KnowledgeBaseSupplementalDataStorageLocationType: {
    readonly S3: "S3";
};
/**
 * Supplemental data storage location type.
 */
export type KnowledgeBaseSupplementalDataStorageLocationType = (typeof KnowledgeBaseSupplementalDataStorageLocationType)[keyof typeof KnowledgeBaseSupplementalDataStorageLocationType];
export declare const KnowledgeBaseType: {
    readonly Vector: "VECTOR";
    readonly Kendra: "KENDRA";
    readonly Sql: "SQL";
};
/**
 * The type of a knowledge base.
 */
export type KnowledgeBaseType = (typeof KnowledgeBaseType)[keyof typeof KnowledgeBaseType];
export declare const PromptCachePointType: {
    readonly Default: "default";
};
/**
 * CachePoint types for CachePointBlock
 */
export type PromptCachePointType = (typeof PromptCachePointType)[keyof typeof PromptCachePointType];
export declare const PromptConversationRole: {
    readonly User: "user";
    readonly Assistant: "assistant";
};
/**
 * Conversation roles for the chat prompt
 */
export type PromptConversationRole = (typeof PromptConversationRole)[keyof typeof PromptConversationRole];
export declare const PromptTemplateType: {
    readonly Text: "TEXT";
    readonly Chat: "CHAT";
};
/**
 * Prompt template type
 */
export type PromptTemplateType = (typeof PromptTemplateType)[keyof typeof PromptTemplateType];
export declare const PromptVersionCachePointType: {
    readonly Default: "default";
};
/**
 * CachePoint types for CachePointBlock
 */
export type PromptVersionCachePointType = (typeof PromptVersionCachePointType)[keyof typeof PromptVersionCachePointType];
export declare const PromptVersionConversationRole: {
    readonly User: "user";
    readonly Assistant: "assistant";
};
/**
 * Conversation roles for the chat prompt
 */
export type PromptVersionConversationRole = (typeof PromptVersionConversationRole)[keyof typeof PromptVersionConversationRole];
export declare const PromptVersionPromptTemplateType: {
    readonly Text: "TEXT";
    readonly Chat: "CHAT";
};
/**
 * Prompt template type
 */
export type PromptVersionPromptTemplateType = (typeof PromptVersionPromptTemplateType)[keyof typeof PromptVersionPromptTemplateType];
