export declare const AccessPolicyType: {
    readonly Data: "data";
};
/**
 * The possible types for the access policy
 */
export type AccessPolicyType = (typeof AccessPolicyType)[keyof typeof AccessPolicyType];
export declare const CollectionStandbyReplicas: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The possible standby replicas for the collection
 */
export type CollectionStandbyReplicas = (typeof CollectionStandbyReplicas)[keyof typeof CollectionStandbyReplicas];
export declare const CollectionType: {
    readonly Search: "SEARCH";
    readonly Timeseries: "TIMESERIES";
    readonly Vectorsearch: "VECTORSEARCH";
};
/**
 * The possible types for the collection
 */
export type CollectionType = (typeof CollectionType)[keyof typeof CollectionType];
export declare const IndexPropertyMappingMethodPropertiesEngine: {
    readonly Nmslib: "nmslib";
    readonly Faiss: "faiss";
    readonly Lucene: "lucene";
};
/**
 * The k-NN search engine to use
 */
export type IndexPropertyMappingMethodPropertiesEngine = (typeof IndexPropertyMappingMethodPropertiesEngine)[keyof typeof IndexPropertyMappingMethodPropertiesEngine];
export declare const IndexPropertyMappingMethodPropertiesName: {
    readonly Hnsw: "hnsw";
    readonly Ivf: "ivf";
};
/**
 * The algorithm name for k-NN search
 */
export type IndexPropertyMappingMethodPropertiesName = (typeof IndexPropertyMappingMethodPropertiesName)[keyof typeof IndexPropertyMappingMethodPropertiesName];
export declare const IndexPropertyMappingMethodPropertiesSpaceType: {
    readonly L2: "l2";
    readonly L1: "l1";
    readonly Linf: "linf";
    readonly Cosinesimil: "cosinesimil";
    readonly Innerproduct: "innerproduct";
    readonly Hamming: "hamming";
};
/**
 * The distance function used for k-NN search
 */
export type IndexPropertyMappingMethodPropertiesSpaceType = (typeof IndexPropertyMappingMethodPropertiesSpaceType)[keyof typeof IndexPropertyMappingMethodPropertiesSpaceType];
export declare const IndexPropertyMappingType: {
    readonly Text: "text";
    readonly KnnVector: "knn_vector";
};
/**
 * The field data type. Must be a valid OpenSearch field type.
 */
export type IndexPropertyMappingType = (typeof IndexPropertyMappingType)[keyof typeof IndexPropertyMappingType];
export declare const LifecyclePolicyType: {
    readonly Retention: "retention";
};
/**
 * The type of lifecycle policy
 */
export type LifecyclePolicyType = (typeof LifecyclePolicyType)[keyof typeof LifecyclePolicyType];
export declare const SecurityConfigType: {
    readonly Saml: "saml";
    readonly Iamidentitycenter: "iamidentitycenter";
};
/**
 * Config type for security config
 */
export type SecurityConfigType = (typeof SecurityConfigType)[keyof typeof SecurityConfigType];
export declare const SecurityPolicyType: {
    readonly Encryption: "encryption";
    readonly Network: "network";
};
/**
 * The possible types for the network policy
 */
export type SecurityPolicyType = (typeof SecurityPolicyType)[keyof typeof SecurityPolicyType];
