import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::Wisdom::AIGuardrailVersion Resource Type
 */
export declare function getAiGuardrailVersion(args: GetAiGuardrailVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetAiGuardrailVersionResult>;
export interface GetAiGuardrailVersionArgs {
    /**
     * The ID of the AI guardrail version.
     */
    aiGuardrailId: string;
    /**
     * The ID of the AI guardrail version assistant.
     */
    assistantId: string;
    /**
     * The version number for this AI Guardrail version.
     */
    versionNumber: number;
}
export interface GetAiGuardrailVersionResult {
    /**
     * The ARN of the AI guardrail version.
     */
    readonly aiGuardrailArn?: string;
    /**
     * The ID of the AI guardrail version.
     */
    readonly aiGuardrailVersionId?: string;
    /**
     * The ARN of the AI guardrail version assistant.
     */
    readonly assistantArn?: string;
    /**
     * The version number for this AI Guardrail version.
     */
    readonly versionNumber?: number;
}
/**
 * Definition of AWS::Wisdom::AIGuardrailVersion Resource Type
 */
export declare function getAiGuardrailVersionOutput(args: GetAiGuardrailVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAiGuardrailVersionResult>;
export interface GetAiGuardrailVersionOutputArgs {
    /**
     * The ID of the AI guardrail version.
     */
    aiGuardrailId: pulumi.Input<string>;
    /**
     * The ID of the AI guardrail version assistant.
     */
    assistantId: pulumi.Input<string>;
    /**
     * The version number for this AI Guardrail version.
     */
    versionNumber: pulumi.Input<number>;
}
